Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Remove a market from a tax group

Removes a market association from a tax group and deletes all country-specific tax percentages for that market.

DELETE/api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug}/market/{market_slug}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
tax_group_slugstringrequired

Tax group slug

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

market_slugstringrequired

Market slug

Responses
200

Market removed from tax group successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGrouprequired
Show properties
created_atstring
descriptionstring | null
idstring
is_defaultboolean
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupMarket
activeboolean
country_codesstring[] | null
country_tax_percentagesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupCountryTaxPercentage[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupCountryTaxPercentage
country_codestring
created_atstring
idstring
tax_percentagenumber
updated_atstring | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Tax group or market not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/tax-groups/string/market/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "created_at": "string",
    "description": "string",
    "id": "string",
    "is_default": true,
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "country_tax_percentages": [
          {
            "country_code": "string",
            "created_at": "string",
            "id": "string",
            "tax_percentage": 0,
            "updated_at": "string"
          }
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}